<?php
/******************************************************************************/
/* slider.php                                                                 */
/******************************************************************************/
/*  Autor          Datum       Version       Änderung                         */
/*  boigk.net      12.02.2020   0.1          Start                            */
/******************************************************************************/
?>

<html>
<head>
	
    <title>Konfiguration Ändern</title>

<link rel="stylesheet" href="css/Menu.css" type="text/css">
<link rel="stylesheet" href="css/Slider.css" type="text/css">
<link rel="stylesheet" href="css/Knopf.css" type="text/css">


<script>
  'use strict'
  function WriteSingleDMXValue(wert,kanal){
  var phpzugriff = new XMLHttpRequest();
  phpzugriff.open("GET","EinzelWert.php?wert=" + wert + "&kanal=" + kanal ,wert);
  phpzugriff.send();
  }

</script>



</head>
  <body>
 <div class="dropdown">
  <button class="dropmenu">Menü</button>
  <div class="dropdown-content">
    <a href="index.php">Konfiguration Laden</a>
    <a href="slider.php">Konfiguration Ändern</a>
    <a href="Fehler.php">Fehler Log</a>
  </div>
</div> 


<div class="dropdown WerteSichern">
  <button class="dropmenu">Speichern als...</button>
  <div class="dropdown-content">
<form action="KonfigurationSpeichern.php" method="post">
<button type="submit" name="KonfigNummer" value="1" class="Knopf schwarz1"> Speichern als Konfig 1</button>
<button type="submit" name="KonfigNummer" value="2" class="Knopf schwarz2"> Speichern als Konfig 2</button>
<button type="submit" name="KonfigNummer" value="3" class="Knopf schwarz1"> Speichern als Konfig 3</button>
<button type="submit" name="KonfigNummer" value="4" class="Knopf schwarz2"> Speichern als Konfig 4</button>
<button type="submit" name="KonfigNummer" value="5" class="Knopf schwarz1"> Speichern als Konfig 5</button>
<button type="submit" name="KonfigNummer" value="6" class="Knopf schwarz2"> Speichern als Konfig 6</button>
<button type="submit" name="KonfigNummer" value="7" class="Knopf schwarz1"> Speichern als Konfig 7</button>
<button type="submit" name="KonfigNummer" value="8" class="Knopf schwarz2"> Speichern als Konfig 8</button>
<!--<button type="submit" name="KonfigNummer" value="9" class="Knopf schwarz1"> Speichern als Konfig 9</button>-->
</form>
  </div>
</div> 

<?php

  //***************************************************
  //Einlesen Der Kanal Konfiguration
  //***************************************************
  $LeseDatei = fopen('Config/ScheinwerferConfig.cfg',r);
  for($i=0;$i<512;$i++)
  {

    $ConfigArray[$i] = fgets($LeseDatei);
    $ConfigArray[$i] = str_replace("\n", "",$ConfigArray[$i]);
    if( preg_match("/red/",$ConfigArray[$i]))
    {
       $KanalFarbe[$i]="red";
       $KanalName[$i] = str_replace("red:","",$ConfigArray[$i]);
    }
    if( preg_match("/green/",$ConfigArray[$i])) 
    {
       $KanalFarbe[$i]="green";
       $KanalName[$i] = str_replace("green:","",$ConfigArray[$i]);
    }
    if( preg_match("/blue/",$ConfigArray[$i]))
    {
       $KanalFarbe[$i]="blue";
       $KanalName[$i] = str_replace("blue:","",$ConfigArray[$i]);
    }

    if( preg_match("/white/",$ConfigArray[$i]))
    {
       $KanalFarbe[$i]="white";
       $KanalName[$i] = str_replace("white:","",$ConfigArray[$i]);
    }
    if( preg_match("/yellow/",$ConfigArray[$i]))
    {
       $KanalFarbe[$i]="yellow";
       $KanalName[$i] = str_replace("yellow:","",$ConfigArray[$i]);
    }
    if( preg_match("/orange/",$ConfigArray[$i]))
    {
       $KanalFarbe[$i]="orange";
       $KanalName[$i] = str_replace("orange:","",$ConfigArray[$i]);
    }


  }

  //***************************************************
  //Erzeugen der Datei mit den aktuellen Kanalwerten
  //***************************************************
  $Wert[]=518;  
  //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  // Relative Pfade funktionieren nicht. Wie kann das
  // gelöst werden?
  //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
  echo system('./Einlesen_Konverter');

  //***************************************************
  //Einlesen der aktuellen Kanalwerte
  //***************************************************
  $LeseDatei = fopen('Config/KLDaten.dmp',r);
  for($i=0;$i<518;$i++)
  {

    $Wert[$i] = fgets($LeseDatei);
    $Wert[$i] = str_replace("\n", "",$Wert[$i]);
    //#echo $Wert[$i]; 
    
#if(($i > 4) && ($i < 517)) //Alle Kanäle
    if(($i > 4) && ($i < 21))
    {
    echo("<input type=\"range\" class=\"slider ");

    //***************************************************
    //Einfügen der Farbe
    //***************************************************
    echo $KanalFarbe[$i-5];

    echo ("\" name=\"Pegel1\" min=\"0\" max=\"255\" step=\"1.0\" ");
    echo("value=\"");
    echo $Wert[$i];
    echo ("\" onchange=\"WriteSingleDMXValue(this.value,");
    echo $i-5;
    echo(")\"> <label><b>Kanal ");
    echo $i-4;
    echo (":</b> ");
    echo $KanalName[$i-5];
    echo ("</label>");
    echo '<br><hr>';
    echo "\n";
    }
  }


?>


 </body>
</html>
